library IEEE;
use IEEE.STD_LOGIC_1164.all;

entity add_modul is
	port(
		x,y : IN STD_LOGIC;
		z : OUT STD_LOGIC;
		carry_in : IN STD_LOGIC;
		carry_out : OUT STD_LOGIC
		);
end add_modul;

architecture behavioral of add_modul is
begin
	z <= carry_in XOR x XOR y;
	carry_out <= (carry_in AND x) OR (carry_in AND y) OR (x AND y);
end behavioral;

		